IngresBooleanType (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.dba.ingres, class: IngresBooleanType

# Class IngresBooleanType

java.lang.Object
org.apache.cayenne.access.types.BooleanType
org.apache.cayenne.dba.ingres.IngresBooleanType

All Implemented Interfaces:
  `ExtendedType<Boolean>`

public class IngresBooleanType extends BooleanType

- ## Field Summary

  ### Fields inherited from interface ExtendedType

  `TRIM_VALUES_THRESHOLD`
  Modifier and Type
  Field
  Description
  `static final int`
  `TRIM_VALUES_THRESHOLD`
  Defines trimming constant for toString method that helps to limit logging of large values.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IngresBooleanType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setJdbcObject(PreparedStatement st, Boolean val, int pos, int type, int precision)`
  Initializes a single parameter of a PreparedStatement with object value.

  ### Methods inherited from class BooleanType

  `getClassName, materializeObject, materializeObject, toString`
  Modifier and Type
  Method
  Description
  `String`
  `getClassName()`
  Returns a full name of Java class that this ExtendedType supports.
  `Boolean`
  `materializeObject(CallableStatement st, int index, int type)`
  Reads an object from a stored procedure OUT parameter, converting it to class returned by 'getClassName' method.
  `Boolean`
  `materializeObject(ResultSet rs, int index, int type)`
  Reads an object from JDBC ResultSet column, converting it to class returned by 'getClassName' method.
  `String`
  `toString(Boolean value)`
  Converts value of the supported type to a human-readable String representation.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IngresBooleanType

    public IngresBooleanType()

- ## Method Details

  - ### setJdbcObject

    public void setJdbcObject(PreparedStatement st, Boolean val, int pos, int type, int precision) throws Exception
    Description copied from interface: `ExtendedType`
    Initializes a single parameter of a PreparedStatement with object value.
    Specified by:
      `setJdbcObject` in interface `ExtendedType<Boolean>`
    Overrides:
      `setJdbcObject` in class `BooleanType`
    Throws:
      `Exception`